


BTOA (1)                Public-Domain Utilities                 BTOA (1)







NAME  

        btoa, atob - encode/decode binary to printable ASCII 



SYNOPSIS  

        pbtoaq pinfileq poutfileq 

        patobq pinfileq poutfileq 



DESCRIPTION  

        Btoa  is encodes a file into printable ASCII. It also attaches a

        header  and checksum information used by the reverse filter atob 

        to find the  start of the data and to check integrity.  



        Atob reads an encoded file, strips off any leading and  trailing

        lines  added  by  mailers,  and recreates a copy of the original

        file on the standard output.  Atob gives NO  output  (and  exits

        with  an error message) if its input is garbage or the checksums

        do not check.  [This does not apply to  the  Atari  TOS  version

        compiled  with  -DNO_TEMP; wich does catch errors, but still may

        produce some (garbage) output before.] 



AUTHOR  

        Paul Rutter (modified by Joe Orost; ANSI C + Atari TOS hacks  by

        Juergen Lock) Final port to Turbo C by Martin P. Ibert 



FEATURES  

        Btoa uses a compact base-85 encoding so that 4 bytes are encoded 

        into 5  characters (file is expanded by 25%). As a special case, 

        32-bit zero  is    encoded  as  one  character.    This encoding

        produces less output than  puuencode(1).q 



COPYRIGHT NOTE  

        This program is supplied with HERMES for your convenience.    It

        is  not covered by the HERMES license regulations, and is in the

        public domain, as far as I know.  



SEE ALSO  

        compress(1), crypt(1), uuencode(1) 






















Tue Jan 4 23:10:36 1994                                           Page 1




